Use this method to create an empty audience segment to which you can later add audience IDs. Supports below ID types - SHA256 Email IDs, SHA256 Phone Numbers, SHA256 Physical Addresses, IP Addresses (IPv4) unhashed, Viant Cookie IDs, Mobile IDs (IDFA, AAID)
Endpoint:
POST /v1/audiences
Request Body:
{
"name": "API Walkthrough Test Segment 02",
"description": "API Training Test Segment 02",
"dataType": "email_sha256",
"accountId": 2222,
"advertiserIds": [55812],
"externalAudienceId": "ext_aud_id_1",
"ttl": 345600
}Response (Success):
{
"name": "audience name",
"externalAudienceId": "agencyaudienceabc123",
"viantSegmentId": "fpsegm123123abcabcdefdef",
"status": "INACTIVE",
"ttl": 345600
}Note: The status will remain
"INACTIVE"until valid data is added and meets the required threshold.
Response (Failure):
{
"error": "error message"
}`
Field Descriptions:
| Field Name | Type | Description |
|---|---|---|
name | string | The name of the audience (required) |
description | string | A description of the audience (optional) |
dataType | string | Only one of: phonenumber_sha256,email_sha256, address_sha256, ip, cookie, mobile_id |
accountId | int | The Viant/Adelphic account ID (required) |
advertiserIds | array of int | One or more advertiser IDs for audience sharing (required) |
externalAudienceId | string | Custom ID for referencing this audience (required) |
| status | string | Current status of the segment: INACTIVE, ACTIVE, or ARCHIVED |
| ttl | int |
|